'DISK Module         8 routines
DECLARE FUNCTION CSChdir% (NewDir$)
DECLARE FUNCTION CSDrive$ ()
DECLARE FUNCTION CSFindFile$ (Mask$, Attribute%)
DECLARE FUNCTION CSFreeDiskSpc& (BYVAL DriveNumber%)
DECLARE FUNCTION CSPath$ ()
DECLARE FUNCTION CSTotalDiskSpc& (BYVAL DriveNumber%)
DECLARE FUNCTION CSTotalDrives% ()
DECLARE SUB CSSetDrive (Drive$)

'EMS Module         18 routines
DECLARE FUNCTION CSAllocateEMS% (BYVAL Pages%)
DECLARE FUNCTION CSDetectEMS% ()
DECLARE FUNCTION CSEMSHandles% ()
DECLARE FUNCTION CSEMSVersion$ ()
DECLARE FUNCTION CSFreeEMS& ()
DECLARE FUNCTION CSFreeEMSPages% ()
DECLARE FUNCTION CSGetEMSFrame% ()
DECLARE FUNCTION CSResizeEMS% (BYVAL Handle%, BYVAL Pages%)
DECLARE FUNCTION CSTotalEMS& ()
DECLARE FUNCTION CSTotalEMSPages% ()
DECLARE SUB CSDeallocateEMS (BYVAL Handle%)
DECLARE SUB CSMapEMS (BYVAL Handle%, BYVAL PhyPage%, BYVAL LogPage%)
DECLARE SUB CSMapEMSLayer (BYVAL Handle%, BYVAL LogPage%)
DECLARE SUB CSMoveEMS (BYVAL SHandle%, BYVAL SLogPage%, BYVAL SPageOffset%, BYVAL DHandle%, BYVAL DLogPage%, BYVAL DPageOffset%, BYVAL Length&)
DECLARE SUB CSMoveFromEMS (BYVAL Segment%, BYVAL Offset&, BYVAL Handle%, BYVAL LogPage%, BYVAL PageOffset%, BYVAL Length&)
DECLARE SUB CSMoveToEMS (BYVAL Segment%, BYVAL Offset&, BYVAL Handle%, BYVAL LogPage%, BYVAL PageOffset%, BYVAL Length&)
DECLARE SUB CSScrollHEMS (BYVAL Layer%, BYVAL XOffset%, BYVAL Handle1%, BYVAL LogPage1%, BYVAL Handle2%, BYVAL LogPage2%)
DECLARE SUB CSScrollVEMS (BYVAL Layer%, BYVAL XOffset%, BYVAL Handle1%, BYVAL LogPage1%, BYVAL Handle2%, BYVAL LogPage2%)

'MAIN Module       16 routines
DECLARE FUNCTION CSCpuId$ ()
DECLARE FUNCTION CSDetectCPU% ()
DECLARE FUNCTION CSGetCard$ ()
DECLARE FUNCTION CSId$ ()
DECLARE FUNCTION CSProcessor$ ()
DECLARE FUNCTION CSTimerTicks& ()
DECLARE FUNCTION CSVer% ()
DECLARE SUB CSClose ()
DECLARE SUB CSDelay (BYVAL Increments%)
DECLARE SUB CSFfix ()
DECLARE SUB CSGetClipBox (X1%, Y1%, X2%, Y2%)
DECLARE SUB CSInitText ()
DECLARE SUB CSInitVGA ()
DECLARE SUB CSRemoveFfix ()
DECLARE SUB CSSetClipBox (BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%)
DECLARE SUB CSSort (BYVAL RecordSeg%, BYVAL RecordOff%, BYVAL NumOfRecords%, BYVAL SizeOfRecord%, BYVAL IndexKey%)

'MEMORY Module       8 routines
DECLARE FUNCTION CSPeek% (BYVAL Segment%, BYVAL Offset&)
DECLARE FUNCTION CSPeek16% (BYVAL Segment%, BYVAL Offset&)
DECLARE FUNCTION CSPeek32& (BYVAL Segment%, BYVAL Offset&)
DECLARE SUB CSMemCopy (BYVAL SSegment%, BYVAL SOffset&, BYVAL DSegment%, BYVAL DOffset&, BYVAL Bytes&)
DECLARE SUB CSMemSwap (BYVAL Segment1%, BYVAL Offset1&, BYVAL Segment2%, BYVAL Offset2&, BYVAL Bytes&)
DECLARE SUB CSPoke (BYVAL Segment%, BYVAL Offset&, BYVAL Value%)
DECLARE SUB CSPoke16 (BYVAL Segment%, BYVAL Offset&, BYVAL Value%)
DECLARE SUB CSPoke32 (BYVAL Segment%, BYVAL Offset&, BYVAL Value&)

'XMS Module         15 routines
DECLARE FUNCTION CSAllocateXMS% (BYVAL KB&)
DECLARE FUNCTION CSDetectXMS% ()
DECLARE FUNCTION CSFreeXMS& ()
DECLARE FUNCTION CSResizeXMS% (BYVAL Handle%, BYVAL KB&)
DECLARE FUNCTION CSTotalXMS& ()
DECLARE FUNCTION CSXAllocateXMS% (BYVAL KB&)
DECLARE FUNCTION CSXFreeXMS& ()
DECLARE FUNCTION CSXMSHandles% ()
DECLARE FUNCTION CSXMSVersion$ ()
DECLARE FUNCTION CSXResizeXMS% (BYVAL Handle%, BYVAL KB&)
DECLARE FUNCTION CSXTotalXMS& ()
DECLARE SUB CSDeallocateXMS (BYVAL Handle%)
DECLARE SUB CSMoveFromXMS (BYVAL Segment%, BYVAL Offset&, BYVAL Handle%, BYVAL XMSOffset&, BYVAL Length&)
DECLARE SUB CSMoveToXMS (BYVAL Segment%, BYVAL Offset&, BYVAL Handle%, BYVAL XMSOffset&, BYVAL Length&)
DECLARE SUB CSMoveXMS (BYVAL SHandle%, BYVAL SOffset&, BYVAL DHandle%, BYVAL DOffset&, BYVAL Length&)

'Miscellaneus Constants
CONST ATTRIB.VOLLABEL = &H8, ATTRIB.DIR = &H10, ATTRIB.ARCHIVE = &H20
CONST ATTRIB.READONLY = &H1, ATTRIB.HIDDEN = &H2, ATTRIB.SYSTEM = &H4
CONST BIT.XOR = 0, BIT.AND = 1, BIT.OR = 2
CONST KEYESC = 1, KEYENTER = 28, KEYSPACE = 57, KEYTAB = &HF
CONST KEYUP = 72, KEYDOWN = 80, KEYLEFT = 75, KEYRIGHT = 77
CONST NUM = 0, CAPS = 1, SCROLL = 2
CONST UP = 0, DOWN = 1, LEFT = 2, RIGHT = 3
CONST VIDEO = &HA000, ANYKEY = -1, CENTERED = -1
CONST CLIPB.TEXT = &H1, CLIPB.BITMAP = &H2, CLIPB.META = &H3
CONST CLIPB.SYLK = &H4, CLIPB.DIF = &H5, CLIPB.TIFF = &H6
CONST CLIPB.OEMTEXT = &H7, CLIPB.DIBBITMAP = &H8, CLIPB.DSPTEXT = &H81
CONST CLIPB.DSPBITMAP = &H82

